package com.gamedog.vididin.manager.taskbeans




data class TaskStateWatchAd(
    var todayMs: Long = 0,
): BaseDailyTaskState() {
    private var mWatchAdCount: Int = 0



    override fun addWatchedCount(newWatchedNum: Int) {
        if (newWatchedNum > 0) {
            mWatchAdCount += newWatchedNum
        }
    }

    override fun addWatchedVideoInfo(dataPair: Pair<String, Long>): Boolean {
        return false
    }

    override fun getTodayWatchedCount(): Int {
        return mWatchAdCount
    }




}









